Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 440755 - FTBFS klear-0.7.0-1.svn113.fc9
Summary: FTBFS klear-0.7.0-1.svn113.fc9
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: klear
Version: rawhide
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Johan Cwiklinski
QA Contact: Fedora Extras Quality Assurance
URL: http://linux.dell.com/files/fedora/Fi...
Whiteboard:
Depends On:
Blocks: FTBFS
TreeView+ depends on / blocked
 
Reported: 2008-04-04 15:54 UTC by FTBFS
Modified: 2008-08-30 15:19 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-30 15:19:16 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
root.log.bz2 (deleted)
2008-04-04 15:54 UTC, FTBFS
no flags Details
build.log.bz2 (deleted)
2008-04-04 15:54 UTC, FTBFS
no flags Details

Description FTBFS 2008-04-04 15:54:09 UTC
klear-0.7.0-1.svn113.fc9.src.rpm Failed To Build From Source

Comment 1 FTBFS 2008-04-04 15:54:13 UTC
Created attachment 300617 [details]
root.log.bz2

root.log for i386

Comment 2 FTBFS 2008-04-04 15:54:14 UTC
Created attachment 300618 [details]
build.log.bz2

build.log for i386

Comment 3 Johan Cwiklinski 2008-04-05 08:35:16 UTC
I've just posted to the klear forum:
http://klear.phpbbweb.com/viewtopic.php?p=1117&mforum=klear

Waiting for an answer to solve this bug.

Comment 4 Bug Zapper 2008-05-14 08:42:36 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Kevin Kofler 2008-07-18 02:54:26 UTC
That appears to be an annoying conflict between X11 and Qt headers (namespace 
pollution).

As a workaround, replace:
#include <X11/extensions/XTest.h>
with:
#define INT32 X11_INT32
#include <X11/extensions/XTest.h>
#undef INT32

Comment 6 Johan Cwiklinski 2008-08-30 13:42:17 UTC
Well, it's impossible to build klear under f-9 and devel... Another error I do not understand (and thus could not resolve) appears.

I have many problems with this package, which i do no use personnaly. I'll try to find a workaround for these errors, and I think I'll release ownership after that.

Comment 7 Johan Cwiklinski 2008-08-30 14:47:56 UTC
Ok, I've resolved scons bug (F-9 dn devel - thanks to a debian patch I've found on the web), and your workaround seems to work perfectly Kevin :) 

Thanks, I'll build/mock/rpmlint it to check if all is ok, and then I'll should push it on the repos.

Comment 8 Johan Cwiklinski 2008-08-30 15:19:16 UTC
the package has been commited and rebuilt  : http://koji.fedoraproject.org/koji/taskinfo?taskID=795294


Note You need to log in before you can comment on or make changes to this bug.